👉 Come rendere i vecchi temi WordPress compatibili con le nuove versioni - IsItWP

La barra degli amministratori di WordPress ha bisogno di un altro menu a discesa?

>

Quindi vuoi rendere i tuoi vecchi temi WordPress compatibili con le versioni più recenti di WordPress. Con WordPress 3.0 proprio dietro l'angolo, la compatibilità dei temi è qualcosa su molte persone. È piuttosto semplice: non fare assolutamente nulla.

Ho realizzato temi WordPress da quando è stato rilasciato WordPress 2.3 e indovina cosa? Quei temi funziona ancora oggi e non c'è niente io bisogno fare per farli funzionare con le versioni più recenti di WordPress.

  • Avranno funzionalità di commento con thread (circa 2,7)? No, probabilmente hanno ancora commenti "single level".
  • Userà post_thumbnails gestire le miniature dei post (circa 2,9)? No, ma non tutti i temi utilizzano comunque le miniature dei post.
  • Avranno il nuovo menu di navigazione, intestazione personalizzata e immagini di sfondo introdotto nel prossimo WordPress 3.0? No, e tieni presente che non tutti i temi avranno bisogno di sfondo personalizzato o immagini di intestazione.

Molte di queste funzionalità considererei facoltative. Con forse l'eccezione dei commenti filettati o del nuovo sistema di menu, molti temi non avranno nemmeno bisogno di essere progettati attorno a cose come le miniature personalizzate dei post o le immagini di intestazione.

Quindi, per favore, smetti di preoccuparti se il tuo tema si interrompe quando aggiorni WordPress. Senza offesa per i miei amici sviluppatori di plug-in, ma il 99% delle volte che WordPress si rompe con un aggiornamento principale, è colpa di un plug-in (e probabilmente era dovuto a sospette pratiche di codifica dei plug-in).

Se un tema ha una funzione personalizzata che è in conflitto con una nuova funzione di WordPress, la stessa cosa potrebbe accadere anche ai temi, così è possibile. Questo è probabilmente l'unico "bug" che abbia mai sentito accada con un nuovo aggiornamento core (e non tutti i temi hanno utilizzato la funzione get_categories).

Ad essere onesti, Non ho mai visto un tema completamente interrottoe probabilmente non lo farò mai. Sarei interessato a sentire i tuoi pensieri nei commenti, cosa ne pensi di rendere i temi "compatibili" con le nuove versioni? Hai mai visto un'interruzione di temi a causa di una nuova versione di WordPress?

Se vuoi che il tuo tema WordPress sfrutti le nuove funzionalità che saranno disponibili una volta rilasciato WordPress 3.0, questo articolo ha alcune buone informazioni sull'integrazione di sfondi, intestazioni, menu personalizzati, tra le altre cose.

Guarda il video: Attivare il copia incolla nei siti web che non lo supportano o che lo hanno bloccato

Like this post? Please share to your friends:
Lascia un commento

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: